wrong bug duplication - ubiquity-dm crashed with ValueError in command(): invalid literal for int() with base 10: ''

Bug #652916 reported by Marvin J. on 2010-10-01
636
This bug affects 109 people
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
High
Unassigned
ubiquity (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: ubiquity

happened on maverick beta from 30th of september when trying to install in VirtualBox under 10.04.

From bug 706395:
This crash happened while installing natty (daily build from 1/21/2011).

1. Booted from CD burned with natty-desktop-amd64.iso
2. Selected "install"
3. Selected manual partitioning and specified the following:
       Existing /dev/sda10 used for root (/), formatted with ext4.
       Existing /dev/sda7 used for /home (not reformatted)
4. Clicked the button to install

The installer dialog said "copying files..."

Then the purple ubuntu desktop appeared, the new one.
Seemingly nothing else happened.

After a while several crash dialogs appeared offering to "Report Problem...". One of them led to this crash report.

The install was apparently part-way through: The new root fs was mounted at /target and contained lots of stuff.

===
Same on liveCD without installing:
- Boot from USB
- Select Try Ubuntu
- Ubiquity crash when the session starts.

ProblemType: Crash
DistroRelease: Ubuntu 10.10
Package: ubiquity 2.4.4
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic i686
Architecture: i386
Date: Fri Oct 1 13:20:47 2010
ExecutablePath: /usr/bin/ubiquity-dm
InterpreterPath: /usr/bin/python2.6
LiveMediaBuild: Ubuntu 10.10 "Maverick Meerkat" - Release Candidate i386 (20100928)
ProcCmdline: /usr/bin/python /usr/bin/ubiquity-dm vt7 :0 hostname /usr/bin/ubiquity --greeter --only
ProcEnviron:
 LANGUAGE=
 PATH=(custom, no user)
 LANG=en_US.UTF-8
PythonArgs: ['/usr/bin/ubiquity-dm', 'vt7', ':0', 'hostname', '/usr/bin/ubiquity', '--greeter', '--only']
SourcePackage: ubiquity
Title: ubiquity-dm crashed with ValueError in command()
UserGroups:

Marvin J. (marvin-jens) wrote :
tags: removed: need-duplicate-check
tags: added: bugpattern-needed
visibility: private → public
tags: added: iso-testing
tags: added: natty
removed: maverick
description: updated
Jean-Baptiste Lallement (jibel) wrote :

installer logs attached. From the logs this would be caused by a X crash. Setting status to triaged/medium.

Changed in ubiquity (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
summary: - ubiquity-dm crashed with ValueError in command()
+ ubiquity-dm crashed with ValueError in command(): invalid literal for
+ int() with base 10: ''
Erick Brunzell (lbsolost) wrote :

I experienced this with the iso-testing Alpha 2 i386 build also. It appeared along with bug 702898.

It popped up after ubiquity displayed the Keyboard layout screen.

Erick Brunzell (lbsolost) wrote :

I've not been able to reproduce this bug with the rebuilt image this AM.

I experienced this too with the Ubuntu Alpha 2 i386 20110202 image + compiz had crashed also on LiveCD.

Stanz (stanz) wrote :

Same here with Alpha2 amd64 daily-live/20110207

same here using natty alpha2.
at first the installer opens with top panal and indicator applets but no launcher
after 3-4 minutes...a panic screen or text mode black screen cums saying " terminating v " or something
then again new dextop arrives with panal and launcher but installer is not opened by default....

and ya even after this compiz tends to crash some time

my hardware config: amd athlon x2 555 black edition,asus 785td evo motherboard(ati radeon 4200 chipset),2gb ddr3 ram

Paolo Pelloni (briga) wrote :

same here after installing alpha3 in VirtualBox. Install went fine, I have choosed erase and use whole disc during installation.

kmb42vt (tbeposts) on 2011-03-08
tags: added: amd64
kmb42vt (tbeposts) wrote :
Download full text (3.7 KiB)

This ubiquity crash also happened to me while attempting to install 11.04 alpha 3 64 bit (desktop) to a test partition on my hard drive. Please note that 11.04 alpha 2 installed without a problem. I reposting my comments and bug report from Bug #730220.

***************

Binary package hint: ubiquity

Ubiquity crashed during install of Ubuntu 11.04 (Natty Narwhal) alpha 3. Manual partitioning setup to sda2 single partition set as "/" with grub2 installed to sda2 as well (triple boot system with Linux Mint 10's grub2 installed in MBR). This type of install worked with 11.04 alpha 2--no installer crashes. Am not able to install alpha 3 due to Ubiquity crashing during install.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: ubiquity 2.5.22
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Uname: Linux 2.6.38-5-generic x86_64
Architecture: amd64
Date: Sun Mar 6 12:31:41 2011
ExecutablePath: /usr/bin/ubiquity-dm
InterpreterPath: /usr/bin/python2.7
LiveMediaBuild: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302)
ProcCmdline: /usr/bin/python /usr/bin/ubiquity-dm vt7 :0 hostname /usr/bin/ubiquity --greeter --only
ProcEnviron:
 LANGUAGE=
 PATH=(custom, no user)
 LANG=en_US.UTF-8
PythonArgs: ['/usr/bin/ubiquity-dm', 'vt7', ':0', 'hostname', '/usr/bin/ubiquity', '--greeter', '--only']
SourcePackage: ubiquity
Title: ubiquity-dm crashed with ValueError in command(): invalid literal for int() with base 10: ''
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

****************

Additional information to initial report: (All 3 install attempts were clean installs)

Attempted installation of 11.04 alpha 3 was to an already created test partition (sda2) which I initially install 11.04 alpha 2 (and other past distros as well). During install of alpha 3 I chose to specify partitions manually and pointed the alpha 3 install to sda2, mounted as "/" and formatted as ext4. The installer (Ubiquity) crashed in the same place during 3 different install attempts; approx. half-way through "Installing system" after all files were copied and all packages were downloaded.

The first install attempt was set to download upgrades and install 3rd party software and not to transfer any data from the 2 other distros I have installed on the same hard drive. Installer crashed.

The 2nd and 3rd install attempt was set to not download any upgrades but to install 3rd party software and to not transfer any data from my other OSs. These are the same settings as I used when I successfully installed alpha 2. Installer crashed the same way each attempt as well.

***************

Update: Downloaded another 11.04 alpha 3 64-bit (desktop) .iso from the main link on the Natty alpha 3 page and burned to CD, md5 checksums match. Installer crashed as initially described in this bug report. Cannot install alpha 3.

***************

As a redundancy check I re-installed alpha 2 using the exact same parameters as I used for alpha 3 above and alpha 2 installed successfully the first time. For both alpha 2 and 3 installation was started when prompted to "Try Ubuntu" or "Install", choosing to install rather than letting the Live session desktop fully load...

Read more...

Per Kongstad (p-kongstad) wrote :

With the daily build 2011.03.08 it ends during the installation with 'Scanning the CD-ROM...' and the error message 'An attempt to configure apt to install additional packages from the CD failed'

Brian Murray (brian-murray) wrote :

Getting debconf debug output would help out determining the root cause of this bug. Could someone run the installer with 'ubiquity -d' from a terminal, and post /var/log/syslog and /var/log/installer/debug? This would be a huge help!

Colin Watson (cjwatson) wrote :

I don't agree with Jean-Baptiste's diagnosis of this as an X crash. What happened was that usermod segfaulted:

Oct 1 11:18:54 ubuntu kernel: [ 1201.341294] usermod[7311]: segfault at 10 ip 0804ae0e sp bfa0ed68 error 6 in usermod[8048000+11000]

... and then a chain of stuff fell over. I would tend to pin this on hardware problems

Most of the bugs duplicated against this probably shouldn't be.

Colin Watson (cjwatson) wrote :

I've attempted to arrange for this spurious crash not to happen in future versions (ubiquity >= 2.5.33).

somewhat agree with colin's opinion..though it's still to be verified.

With Warm Regards
Akshit Dhawan

On Tue, Mar 29, 2011 at 16:18, Colin Watson <email address hidden> wrote:

> I don't agree with Jean-Baptiste's diagnosis of this as an X crash.
> What happened was that usermod segfaulted:
>
> Oct 1 11:18:54 ubuntu kernel: [ 1201.341294] usermod[7311]: segfault at
> 10 ip 0804ae0e sp bfa0ed68 error 6 in usermod[8048000+11000]
>
> ... and then a chain of stuff fell over. I would tend to pin this on
> hardware problems
>
> Most of the bugs duplicated against this probably shouldn't be.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (732376).
> https://bugs.launchpad.net/bugs/652916
>
> Title:
> ubiquity-dm crashed with ValueError in command(): invalid literal for
> int() with base 10: ''
>
> Status in “ubiquity” package in Ubuntu:
> Triaged
>
> Bug description:
> Binary package hint: ubiquity
>
> happened on maverick beta from 30th of september when trying to
> install in VirtualBox under 10.04.
>
> From bug 706395:
> This crash happened while installing natty (daily build from 1/21/2011).
>
> 1. Booted from CD burned with natty-desktop-amd64.iso
> 2. Selected "install"
> 3. Selected manual partitioning and specified the following:
> Existing /dev/sda10 used for root (/), formatted with ext4.
> Existing /dev/sda7 used for /home (not reformatted)
> 4. Clicked the button to install
>
> The installer dialog said "copying files..."
>
> Then the purple ubuntu desktop appeared, the new one.
> Seemingly nothing else happened.
>
> After a while several crash dialogs appeared offering to "Report
> Problem...". One of them led to this crash report.
>
> The install was apparently part-way through: The new root fs was
> mounted at /target and contained lots of stuff.
>
>
> ===
> Same on liveCD without installing:
> - Boot from USB
> - Select Try Ubuntu
> - Ubiquity crash when the session starts.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 10.10
> Package: ubiquity 2.4.4
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic i686
> Architecture: i386
> Date: Fri Oct 1 13:20:47 2010
> ExecutablePath: /usr/bin/ubiquity-dm
> InterpreterPath: /usr/bin/python2.6
> LiveMediaBuild: Ubuntu 10.10 "Maverick Meerkat" - Release Candidate i386
> (20100928)
> ProcCmdline: /usr/bin/python /usr/bin/ubiquity-dm vt7 :0 hostname
> /usr/bin/ubiquity --greeter --only
> ProcEnviron:
> LANGUAGE=
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> PythonArgs: ['/usr/bin/ubiquity-dm', 'vt7', ':0', 'hostname',
> '/usr/bin/ubiquity', '--greeter', '--only']
> SourcePackage: ubiquity
> Title: ubiquity-dm crashed with ValueError in command()
> UserGroups:
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/652916/+subscribe
>

chikuth (chi-kuth00) on 2011-03-31
Changed in ubiquity (Ubuntu):
status: Triaged → Fix Committed

I just used today's posted nightly build of 11.04 and encountered this error. My bug submission was marked as a duplicate, but if this is marked as the fix has been committed, is there some further vetting of that commit before it makes it to the nightly? Just want to make sure everyone is aware it's still an issue, and that if the commit was in the nightly, it did not fix it. That, or my bug submission was incorrectly marked as duplicate.

I'm running into this issue when trying to install from an Ubuntu 11.04 live USB, so as far as I can tell, it isn't fixed in the Natty final release.

tags: added: ubiquity-2.4.4
tags: added: maverick

Looking at some of the duplicates of this bug report the crash occurred due to faulty media or hardware. You can check your syslog attachment added to your bug report and look for SQUASHFS errors in it. In the event that you find them they are indicative of bad media or a faulty drive. Please try burning the CD at a slower speed or cleaning your media and drive. Thanks and good luck.

You are correct.
The problem was caused by a faulty Ram chip
the ram chip was removed and the problem never ocurred again.

good night

Ivo glasius

2011/8/3 Brian Murray <email address hidden>

> Looking at some of the duplicates of this bug report the crash occurred
> due to faulty media or hardware. You can check your syslog attachment
> added to your bug report and look for SQUASHFS errors in it. In the
> event that you find them they are indicative of bad media or a faulty
> drive. Please try burning the CD at a slower speed or cleaning your
> media and drive. Thanks and good luck.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (727329).
> https://bugs.launchpad.net/bugs/652916
>
> Title:
> ubiquity-dm crashed with ValueError in command(): invalid literal for
> int() with base 10: ''
>
> Status in “ubiquity” package in Ubuntu:
> Fix Committed
>
> Bug description:
> Binary package hint: ubiquity
>
> happened on maverick beta from 30th of september when trying to
> install in VirtualBox under 10.04.
>
> From bug 706395:
> This crash happened while installing natty (daily build from 1/21/2011).
>
> 1. Booted from CD burned with natty-desktop-amd64.iso
> 2. Selected "install"
> 3. Selected manual partitioning and specified the following:
> Existing /dev/sda10 used for root (/), formatted with ext4.
> Existing /dev/sda7 used for /home (not reformatted)
> 4. Clicked the button to install
>
> The installer dialog said "copying files..."
>
> Then the purple ubuntu desktop appeared, the new one.
> Seemingly nothing else happened.
>
> After a while several crash dialogs appeared offering to "Report
> Problem...". One of them led to this crash report.
>
> The install was apparently part-way through: The new root fs was
> mounted at /target and contained lots of stuff.
>
>
> ===
> Same on liveCD without installing:
> - Boot from USB
> - Select Try Ubuntu
> - Ubiquity crash when the session starts.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 10.10
> Package: ubiquity 2.4.4
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic i686
> Architecture: i386
> Date: Fri Oct 1 13:20:47 2010
> ExecutablePath: /usr/bin/ubiquity-dm
> InterpreterPath: /usr/bin/python2.6
> LiveMediaBuild: Ubuntu 10.10 "Maverick Meerkat" - Release Candidate i386
> (20100928)
> ProcCmdline: /usr/bin/python /usr/bin/ubiquity-dm vt7 :0 hostname
> /usr/bin/ubiquity --greeter --only
> ProcEnviron:
> LANGUAGE=
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> PythonArgs: ['/usr/bin/ubiquity-dm', 'vt7', ':0', 'hostname',
> '/usr/bin/ubiquity', '--greeter', '--only']
> SourcePackage: ubiquity
> Title: ubiquity-dm crashed with ValueError in command()
> UserGroups:
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/652916/+subscriptions
>

Changed in ubiquity (Ubuntu):
status: Fix Committed → Confirmed

Trying to install 32 bit 11.04 in virtual box on a 32bit windows 7 laptop.

Patrik Sandin (maskbjornen) wrote :

If the issue 864559 which I reported is a duplicate of this, then I am able to reproduce it consistently.

I added an apport task because apport duplicates unrelated issues based on the last ubiquity traceback.

Changed in apport (Ubuntu):
importance: Undecided → High
summary: - ubiquity-dm crashed with ValueError in command(): invalid literal for
- int() with base 10: ''
+ wrong bug duplication - ubiquity-dm crashed with ValueError in
+ command(): invalid literal for int() with base 10: ''
Changed in apport (Ubuntu):
status: New → Confirmed
Martin Pitt (pitti) wrote :

All duplicates have exactly the same stack trace, so I guess if they are unrelated issues we need to look at something else to tell them apart. Colin/Evan, can you please give me some advice what else to look at here? Should this particular crash be ignored in general? Should we look at something in the log file and adjust DuplicateSignature: accordingly, etc.?

Changed in apport (Ubuntu):
status: Confirmed → Incomplete
Changed in ubiquity (Ubuntu):
status: Confirmed → Invalid
anh1985 (thaituananh) on 2012-02-07
Changed in apport (Ubuntu):
status: Incomplete → Fix Committed
Brian Murray (brian-murray) wrote :

Looking at this bug and bug 897270 it seems odd to me that the Traceback.txt doesn't appear in the UbiquitySyslog file at all. Additionally, looking at all the duplicates the latest version of ubiquity that this (the traceback disconnect) happened in was version 2.6.10 from Natty and 2.7.10 which is no longer available. So I'm not certain this really needs fixing anymore.

Having said that the Traceback.txt in this report is very generic and it would be helpful to blacklist it as a duplicate signature if possible.

Changed in apport (Ubuntu):
status: Fix Committed → Incomplete
status: Incomplete → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in apport (Ubuntu):
status: New → Confirmed
To post a comment you must log in.